import {numeric, pgTable, serial, text, timestamp, varchar} from "drizzle-orm/pg-core";

/**
 * Invoices example table with Drizzle.
 * @see https://orm.drizzle.team/docs/sql-schema-declaration
 */
export const invoices = pgTable("invoices", {
	id: serial("id").primaryKey(),
	date: timestamp("date", { withTimezone: true }).notNull(),
	amount: numeric("amount", { precision: 12, scale: 2 }).notNull(),
	clientName: varchar("client_name").notNull(),
	clientAddress: text("client_address"),
});
